
package com.google.api.ads.adwords.jaxws.v201206.cm;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlType;


/**
 * 
 *             Represents a dynamic search ad. This ad will have its headline and url autogenerated
 *             at serving time according to domain name specific information provided by DomainInfoExtension
 *             linked at the campaign level.
 *             
 *             Autogenerated fields: headline and url (url may be optionally specified for tracking purposes)
 *             Required fields: description1, description2, displayUrl
 *             
 *             The url field must contain at least one of the following placeholder tags:
 *             {unescapedlpurl}, {escapedlpurl} and {lpurlpath}. If no url is specified it will default to
 *             {unescapedlpurl}.
 *             
 *             When {unescapedlpurl} is used it must be in the beginning of the url field. When the ad is
 *             displayed it will be replaced with the full url of the ad landing page. Extra query
 *             parameters can be added to the end. E.g. "{unescapedlpurl}?lang=en"
 *             
 *             {escapedlpurl} is replaced with a URL encoded version of the full landing page url. This makes
 *             it suitable to be used as the value for a query parameter but cannot be in the beginning of
 *             the url field. E.g. "http://www.3rdpartytracker.com/?lp={escapedlpurl}".
 *             
 *             {lpurlpath} is replaced with the path and query part of the landing page url and can be used
 *             to add this to a different url. E.g. "http://www.mygoodbusiness.com/tracking/{lpurlpath}".
 *             
 *             There are also special rules that come into play depending on whether the destination url
 *             uses local click tracking or third party click tracking. See Helpcenter articles for more
 *             information.
 *             <span class="constraint AdxEnabled">This is disabled for AdX when it is contained within Operators: ADD, SET.</span>
 *             <span class="constraint Beta">This is a beta feature.</span>
 *           
 * 
 * <p>Java class for DynamicSearchAd complex type.
 * 
 * <p>The following schema fragment specifies the expected content contained within this class.
 * 
 * <pre>
 * &lt;complexType name="DynamicSearchAd">
 *   &lt;complexContent>
 *     &lt;extension base="{https://adwords.google.com/api/adwords/cm/v201206}Ad">
 *       &lt;sequence>
 *         &lt;element name="description1" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *         &lt;element name="description2" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
 *       &lt;/sequence>
 *     &lt;/extension>
 *   &lt;/complexContent>
 * &lt;/complexType>
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "DynamicSearchAd", propOrder = {
    "description1",
    "description2"
})
public class DynamicSearchAd
    extends Ad
{

    protected String description1;
    protected String description2;

    /**
     * Gets the value of the description1 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription1() {
        return description1;
    }

    /**
     * Sets the value of the description1 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription1(String value) {
        this.description1 = value;
    }

    /**
     * Gets the value of the description2 property.
     * 
     * @return
     *     possible object is
     *     {@link String }
     *     
     */
    public String getDescription2() {
        return description2;
    }

    /**
     * Sets the value of the description2 property.
     * 
     * @param value
     *     allowed object is
     *     {@link String }
     *     
     */
    public void setDescription2(String value) {
        this.description2 = value;
    }

}
