
package com.google.api.ads.adwords.jaxws.v201206.mcm;

import java.util.List;
import javax.jws.WebMethod;
import javax.jws.WebParam;
import javax.jws.WebResult;
import javax.jws.WebService;
import javax.xml.bind.annotation.XmlSeeAlso;
import javax.xml.ws.RequestWrapper;
import javax.xml.ws.ResponseWrapper;
import com.google.api.ads.adwords.jaxws.v201206.cm.Selector;


/**
 * 
 *       Customer Manager Service.
 *     
 * 
 * This class was generated by the JAX-WS RI.
 * JAX-WS RI 2.1.6
 * Generated source version: 2.1
 * 
 */
@WebService(name = "ManagedCustomerServiceInterface", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201206")
@XmlSeeAlso({
    com.google.api.ads.adwords.jaxws.v201206.cm.ObjectFactory.class,
    com.google.api.ads.adwords.jaxws.v201206.mcm.ObjectFactory.class
})
public interface ManagedCustomerServiceInterface {


    /**
     * 
     *         Returns the list of customers that meet the selector criteria.
     *         
     *         @param selector The selector specifying the {@link ManagedCustomer}s to return.
     *         @return List of customers identified by the selector.
     *         @throws ApiException When there is at least one error with the request.
     *       
     * 
     * @param serviceSelector
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201206.mcm.ManagedCustomerPage
     * @throws ApiException
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201206")
    @RequestWrapper(localName = "get", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201206", className = "com.google.api.ads.adwords.jaxws.v201206.mcm.ManagedCustomerServiceInterfaceget")
    @ResponseWrapper(localName = "getResponse", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201206", className = "com.google.api.ads.adwords.jaxws.v201206.mcm.ManagedCustomerServiceInterfacegetResponse")
    public ManagedCustomerPage get(
        @WebParam(name = "serviceSelector", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201206")
        Selector serviceSelector)
        throws ApiException
    ;

    /**
     * 
     *         Adds managed customers.
     *         
     *         <p class="note"><b>Note:</b> {@link ManagedCustomerOperation} only supports
     *         {@code ADD} operator. </p>
     *         
     *         @param operations List of unique operations.
     *         @return The list of updated managed customers, returned in the same order as the
     *         <code>operations</code> array.
     *       
     * 
     * @param operations
     * @return
     *     returns com.google.api.ads.adwords.jaxws.v201206.mcm.ManagedCustomerReturnValue
     * @throws ApiException
     */
    @WebMethod
    @WebResult(name = "rval", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201206")
    @RequestWrapper(localName = "mutate", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201206", className = "com.google.api.ads.adwords.jaxws.v201206.mcm.ManagedCustomerServiceInterfacemutate")
    @ResponseWrapper(localName = "mutateResponse", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201206", className = "com.google.api.ads.adwords.jaxws.v201206.mcm.ManagedCustomerServiceInterfacemutateResponse")
    public ManagedCustomerReturnValue mutate(
        @WebParam(name = "operations", targetNamespace = "https://adwords.google.com/api/adwords/mcm/v201206")
        List<ManagedCustomerOperation> operations)
        throws ApiException
    ;

}
